package speiger.src.coreengine.platform.graphics.api.sampler;

import speiger.src.coreengine.platform.graphics.api.utils.GraphicsResource;

public abstract class Sampler implements GraphicsResource {
	protected SamplerSettings settings;

	public Sampler(SamplerSettings settings) {
		this.settings = settings;
	}
	
	public SamplerSettings settings() {
		return settings;
	}
}
